diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaLevelPropertyEditor.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaLevelPropertyEditor.java
index 8cb79107fd..5691f350ec 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaLevelPropertyEditor.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaLevelPropertyEditor.java
@@ -11,7 +11,7 @@ import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 public class NamedAreaLevelPropertyEditor extends PropertyEditorSupport {
 	@Override
     public void setAsText(String text) {
-		NamedAreaLevel value = new NamedAreaLevel();
+		NamedAreaLevel value = NamedAreaLevel.NewInstance();
 		if (NamedAreaLevel.isTDWG_LEVEL1(text)) {
 			value = NamedAreaLevel.TDWG_LEVEL1();
 		}else if (NamedAreaLevel.isTDWG_LEVEL2(text)) {
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaPropertyEditor.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaPropertyEditor.java
index 80536fe06e..5cc0145162 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaPropertyEditor.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/editor/NamedAreaPropertyEditor.java
@@ -11,18 +11,23 @@
 package eu.etaxonomy.cdm.remote.editor;
 
 import java.beans.PropertyEditorSupport;
+import java.util.UUID;
 
-import eu.etaxonomy.cdm.model.location.TdwgArea;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.stereotype.Component;
+
+import eu.etaxonomy.cdm.api.service.ITermService;
 
 /**
  * @author a.kohlbecker
  * @date 30.06.2009
- * TODO only TDWG areas supported for now
  */
 public class NamedAreaPropertyEditor extends PropertyEditorSupport  {
-
-	@Override
-    public void setAsText(String text) {
-			setValue(TdwgArea.getAreaByTdwgAbbreviation(text));
+	
+	@Autowired
+	private ITermService termService;
+	
+	public void setAsText(String text) {
+			setValue(termService.load(UUID.fromString(text)));  	
 	}
 }
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/DerivedUnitFacadeBeanProcessor.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/DerivedUnitFacadeBeanProcessor.java
index 11ab44e6e6..3293ede2f4 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/DerivedUnitFacadeBeanProcessor.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/DerivedUnitFacadeBeanProcessor.java
@@ -50,9 +50,12 @@ public class DerivedUnitFacadeBeanProcessor extends AbstractBeanProcessor<Derive
 			addJsonElement(json, jsonConfig, "country",bean.getCountry());
 			addJsonElement(json, jsonConfig, "collectingAreas", bean.getCollectingAreas());
 			addJsonElement(json, jsonConfig, "absoluteElevation", bean.getAbsoluteElevation());
-			addJsonElement(json, jsonConfig, "absoluteElevationError", bean.getAbsoluteElevationError());
-			addJsonElement(json, jsonConfig, "absoluteElevationMinimum", bean.getAbsoluteElevationMinimum());
+//			addJsonElement(json, jsonConfig, "absoluteElevationError", bean.getAbsoluteElevationError());
+//			addJsonElement(json, jsonConfig, "absoluteElevationMinimum", bean.getAbsoluteElevationMinimum());
 			addJsonElement(json, jsonConfig, "absoluteElevationMaximum", bean.getAbsoluteElevationMaximum());
+			//new
+			addJsonElement(json, jsonConfig, "absoluteElevationText", bean.absoluteElevationToString());
+			
 			addJsonElement(json, jsonConfig, "collector", bean.getCollector());
 			addJsonElement(json, jsonConfig, "collectingMethod", bean.getCollectingMethod());
 			addJsonElement(json, jsonConfig, "distanceToGround", bean.getDistanceToGround());
@@ -68,7 +71,7 @@ public class DerivedUnitFacadeBeanProcessor extends AbstractBeanProcessor<Derive
 // FIXME: addJsonElement(json, jsonConfig, "plantDescription", bean.getPlantDescription(languages));
 		addJsonElement(json, jsonConfig, "plantDescription", bean.getPlantDescription());
 		
-		if(Hibernate.isInitialized(bean.innerFieldObservation())){
+		if(Hibernate.isInitialized(bean.innerFieldUnit())){
 			addJsonElement(json, jsonConfig, "fieldObjectMedia", bean.getFieldObjectMedia());
 			addJsonElement(json, jsonConfig, "fieldNumber", bean.getFieldNumber());			
 			addJsonElement(json, jsonConfig, "fieldNotes", bean.getFieldNotes());			
diff --git a/cdmlib-remote/src/test/java/eu/etaxonomy/cdm/remote/dto/assembler/lsid/AssemblerTest.java b/cdmlib-remote/src/test/java/eu/etaxonomy/cdm/remote/dto/assembler/lsid/AssemblerTest.java
index ef3c76faa9..ef67d5fbdc 100644
--- a/cdmlib-remote/src/test/java/eu/etaxonomy/cdm/remote/dto/assembler/lsid/AssemblerTest.java
+++ b/cdmlib-remote/src/test/java/eu/etaxonomy/cdm/remote/dto/assembler/lsid/AssemblerTest.java
@@ -166,10 +166,10 @@ public class AssemblerTest extends UnitilsJUnit4 {
         book.setUri(new URI("http://persitent.books.foo/myBook"));
         book.setUuid(UUID.randomUUID());
         book.setVolume("Volume 1");
-        book.addSource(IdentifiableSource.NewInstance("http://persitent.IdentifiableSources.foo/1"));
+        book.addSource(IdentifiableSource.NewDataImportInstance("http://persitent.IdentifiableSources.foo/1"));
 
         bookSection = ReferenceFactory.newBookSection();
-        bookSection.setInReference((Reference)book);
+        bookSection.setInReference((Reference<?>)book);
         bookSection.setPages("999 ff.");
         bookSection.setTitle("BookSection.title");
         bookSection.setAuthorTeam(authorTeam);
@@ -179,14 +179,14 @@ public class AssemblerTest extends UnitilsJUnit4 {
         bookSection.setUri(new URI("http://persitent.books.foo/myBookSection"));
         bookSection.setUuid(UUID.randomUUID());
         bookSection.addCredit(Credit.NewInstance(authorTeam, "Credits to the authorTeam"));
-        bookSection.addSource(IdentifiableSource.NewInstance("http://persitent.IdentifiableSources.foo/2"));
+        bookSection.addSource(IdentifiableSource.NewDataImportInstance("http://persitent.IdentifiableSources.foo/2"));
     }
 
     @Test
     public void testDeepMapping() {
         for(int i = 0; i < 3; i++) {
-            Synonym synonym = Synonym.NewInstance(name,(Reference)sec);
-            taxon.addSynonym(synonym,new SynonymRelationshipType());
+            Synonym synonym = Synonym.NewInstance(name,(Reference<?>)sec);
+            taxon.addSynonym(synonym, SynonymRelationshipType.SYNONYM_OF());
         }
 
         if(!UriUtils.isInternetAvailable(null)){
@@ -223,7 +223,7 @@ public class AssemblerTest extends UnitilsJUnit4 {
             return;
         }
 
-        IBook proxy = getUninitializedDetachedProxy(Reference.class,(Reference)sec);
+        IBook proxy = getUninitializedDetachedProxy(Reference.class,(Reference<?>)sec);
         assert !Hibernate.isInitialized(proxy);
         Field secField = TaxonBase.class.getDeclaredField("sec");
         secField.setAccessible(true);
@@ -280,8 +280,8 @@ public class AssemblerTest extends UnitilsJUnit4 {
 
         assertNotNull(simpleDarwinRecord.getModified());
         assertEquals(taxon.getName().getTitleCache(), simpleDarwinRecord.getScientificName());
-        assertEquals(((NonViralName)taxon.getName()).getAuthorshipCache(), simpleDarwinRecord.getScientificNameAuthorship());
-        assertEquals(((NonViralName)taxon.getName()).getCitationString(), simpleDarwinRecord.getNamePublishedIn());
+        assertEquals(((NonViralName<?>)taxon.getName()).getAuthorshipCache(), simpleDarwinRecord.getScientificNameAuthorship());
+        assertEquals(((NonViralName<?>)taxon.getName()).getCitationString(), simpleDarwinRecord.getNamePublishedIn());
         assertEquals(Rank.SPECIES().getLabel(), simpleDarwinRecord.getTaxonRank());
     }
 
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/FirstDataInserter.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/FirstDataInserter.java
index 558e4a0bcb..03cc9a84ee 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/FirstDataInserter.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/FirstDataInserter.java
@@ -40,9 +40,9 @@ import eu.etaxonomy.cdm.api.service.IUserService;
 import eu.etaxonomy.cdm.common.monitor.IProgressMonitor;
 import eu.etaxonomy.cdm.common.monitor.NullProgressMonitor;
 import eu.etaxonomy.cdm.config.Configuration;
-import eu.etaxonomy.cdm.model.common.CdmMetaData;
 import eu.etaxonomy.cdm.model.common.GrantedAuthorityImpl;
 import eu.etaxonomy.cdm.model.common.User;
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData;
 import eu.etaxonomy.cdm.persistence.hibernate.permission.Role;
 import eu.etaxonomy.cdm.persistence.query.OrderHint;
 
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/ICdmApplicationConfiguration.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/ICdmApplicationConfiguration.java
index 5dca0ab809..03f60e1d12 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/ICdmApplicationConfiguration.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/application/ICdmApplicationConfiguration.java
@@ -47,7 +47,6 @@ import eu.etaxonomy.cdm.persistence.hibernate.permission.CdmPermissionEvaluator;
 /**
  * @author a.mueller
  * @created 21.05.2008
- * @version 1.0
  */
 public interface ICdmApplicationConfiguration {
 
